
/*  @(#)comliste.h 1.2 95/07/07
 *
 *  Copyright (c) Mikael Cam.
 *                All rights reserved.
 *
 *  Permission is given to distribute these sources, as long as the
 *  copyright messages are not removed, and no monies are exchanged.
 *
 *  No responsibility is taken for any errors inherent either
 *  to the comments or the code of this program, but if reported
 *  to me then an attempt will be made to fix them.
 */

/*  
 * Fichier d'inclusion  : comliste.h   
 * Auteur               : Mikael CAM 
 * Cadre                : Projet Xshow  
 * Membres de l'equipe  : Messieurs FAUCHEUX David, MALIGORNE Christophe,  
 *                                OLLAGNIER Patrick et CAM Mikael. 
 * Superviseur          : M. SADOU Salah 
 * Groupe d'audit       : Messieurs ADAM Michel et FRISON Patrice.  
 * Derniere M.A.J.      : 11/4/95 
 * 
 *              Pour l'IUT de Vannes - Departement INFORMATIQUE 
 *  
 */  
 
#include <stdio.h>
#define  Command   char*
 
/* Structures de la liste des parametres des fenetres visibles sur l'ecran source */


typedef struct format_com        {
                                        Command         c_name; 
                                        struct format_com        *suivant; 
                                        struct format_com        *precedent; 
                                        } format_com; 
 
typedef struct Liste_commands            {        
                                        format_com       *tete; 
                                        format_com       *queue; 
                                        format_com       *courant; 
                                        } Liste_com; 
 
/* interfaces des fonctions de gestion de la liste des parametres des fenetres visibles sur l'ecran source */ 
 
void AjouteListe (Liste_com *l, format_com *p ); 
void CreeListe (Liste_com *l); 
format_com *suivant (Liste_com *l); 
format_com *courant (Liste_com *l); 
void OteEltListe (Liste_com *l, format_com *p); 
int     FinListe (Liste_com *l); 
format_com *position_tete (Liste_com *l); 
void remplie_comm (format_com *p, Command c, Liste_com *l); 
format_com *Trouve(Command c, Liste_com *l); 









